import { NostrRoom } from '../lib/room.js';
export function useRoom({ store, update }) {
    const { client, isConnected, rooms } = store;
    function join(secret, config) {
        if (!isConnected || client === undefined) {
            throw new Error('Unable to connect to room!');
        }
        const rm = new NostrRoom(client, secret, config);
        rm.on('_leave', () => {
            update({ rooms: rooms.filter(e => e.id.hex !== rm.id.hex) });
        });
        update({ rooms: [...rooms, rm] });
        return rm;
    }
    function leave(roomId) {
        const rm = rooms.find(e => e.id.hex === roomId);
        if (rm instanceof NostrRoom)
            rm.leave();
    }
    return { rooms: { list: rooms, join, leave } };
}
//# sourceMappingURL=useRoom.js.map