import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, useContext } from 'react';
import { useNostrStore } from './hooks/useNostr.js';
import { DEFAULT } from './schema/config.js';
export * from './schema/types.js';
const context = createContext(null);
export function NostrProvider({ children, defaults = {} }) {
    const ctx = useNostrStore({ ...DEFAULT.store, ...defaults });
    return (_jsx(context.Provider, { value: ctx, children: children }));
}
export function useNostr() {
    const ctx = useContext(context);
    if (ctx === null) {
        throw new Error('Context is null!');
    }
    return ctx;
}
//# sourceMappingURL=index.js.map