import { getEventHash, getPublicKey, getSignature, validateEvent, verifySignature } from 'nostr-tools';
export function verifyEvent(event) {
    return validateEvent(event) && verifySignature(event);
}
export function getSecSigner(seckey) {
    return async (event) => {
        const unsigned = { ...event, pubkey: getPublicKey(seckey) };
        return {
            ...unsigned,
            id: getEventHash(unsigned),
            sig: getSignature(unsigned, seckey)
        };
    };
}
export function getExtSigner() {
    if (typeof window.nostr.signEvent !== 'function') {
        throw new Error('Extension does not have sign method!');
    }
    return async (event) => window.nostr.signEvent(event);
}
//# sourceMappingURL=signer.js.map