import { NostrStore } from '../schema/types.js';
export declare function useNostrStore(defaults: NostrStore): {
    rooms: {
        list: import("../lib/room.js").NostrRoom[];
        join: (secret: string, config?: Partial<import("../lib/room.js").RoomConfig> | undefined) => import("../lib/room.js").NostrRoom;
        leave: (roomId: string) => void;
    };
    getProfile: () => Promise<import("../schema/types.js").Profile | undefined>;
    setProfile: (updates: Partial<import("../schema/types.js").Profile>) => Promise<void>;
    login: {
        withExt: () => Promise<void>;
        withPubKey: (pubkey: string) => void;
        withSecKey: (seckey: string) => void;
        generateKey: () => void;
    };
    logout: () => void;
    client: {
        connected: () => Promise<boolean>;
        publish: (event: Partial<import("nostr-tools").EventTemplate>) => Promise<import("nostr-tools").Event | undefined>;
        pubkey: string | undefined;
        ok: boolean;
        get: (filter: import("nostr-tools").Filter) => Promise<import("nostr-tools").Event<number> | null>;
        list: (filters: import("nostr-tools").Filter[]) => Promise<import("nostr-tools").Event<number>[]>;
        sub: (filters: import("nostr-tools").Filter[]) => Promise<import("nostr-tools").Sub<number>>;
        pub: (event: import("nostr-tools").Event) => Promise<void>[];
    };
    setError: (err: Error | string) => void;
    reset: (store: Partial<NostrStore>) => void;
    store: NostrStore;
    update: (store: Partial<NostrStore>) => void;
};
//# sourceMappingURL=useNostr.d.ts.map