import { ReactElement } from 'react';
import { useNostrStore } from './hooks/useNostr.js';
import { ProviderProps } from './schema/types.js';
export * from './schema/types.js';
export type NostrContext = ReturnType<typeof useNostrStore>;
export declare function NostrProvider({ children, defaults }: ProviderProps): ReactElement;
export declare function useNostr(): {
    rooms: {
        list: import("./lib/room.js").NostrRoom[];
        join: (secret: string, config?: Partial<import("./lib/room.js").RoomConfig> | undefined) => import("./lib/room.js").NostrRoom;
        leave: (roomId: string) => void;
    };
    getProfile: () => Promise<import("./schema/types.js").Profile | undefined>;
    setProfile: (updates: Partial<import("./schema/types.js").Profile>) => Promise<void>;
    login: {
        withExt: () => Promise<void>;
        withPubKey: (pubkey: string) => void;
        withSecKey: (seckey: string) => void;
        generateKey: () => void;
    };
    logout: () => void;
    client: {
        connected: () => Promise<boolean>;
        publish: (event: Partial<import("nostr-tools").EventTemplate>) => Promise<import("nostr-tools").Event | undefined>;
        pubkey: string | undefined;
        ok: boolean;
        get: (filter: import("nostr-tools").Filter) => Promise<import("nostr-tools").Event<number> | null>;
        list: (filters: import("nostr-tools").Filter[]) => Promise<import("nostr-tools").Event<number>[]>;
        sub: (filters: import("nostr-tools").Filter[]) => Promise<import("nostr-tools").Sub<number>>;
        pub: (event: import("nostr-tools").Event) => Promise<void>[];
    };
    setError: (err: string | Error) => void;
    reset: (store: Partial<import("./schema/types.js").NostrStore>) => void;
    store: import("./schema/types.js").NostrStore;
    update: (store: Partial<import("./schema/types.js").NostrStore>) => void;
};
//# sourceMappingURL=index.d.ts.map